﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TextColumnNestedBinding {

    // this represents row data within xamGrid

    public class RowObject {
        static readonly Random Random = new Random();
        public static readonly int NumberOfColumns = 50;

        readonly CellObject[] _cells;
        
        public CellObject this[int index] {
            get {
                return _cells[index];
            }
        }


        public RowObject() {
            _cells = GetCellData().ToArray();
        }

        IEnumerable<CellObject> GetCellData() {
            for (var idx = 0; idx < NumberOfColumns; idx++) {
                var value = Random.NextDouble();

                yield return new CellObject {
                    Value = Random.NextDouble(),
                    SomeProperty1 = value >0.5 // for example
                };
            }
        } 




    }
}
